%define name fluidsynth
%define version 2.0.9
%define release 23

%define _soname %{name}2

%define _prefix /usr

%if %{defined fedora}
%global debug_package %{nil}
%endif

Summary: A real-time software synthesizer based on SoundFont 2 specifications.
Name: fluidsynth
Version: 2.0.9
Release: 23.rncbc.suse
License: LGPLv2+
Group:	 Productivity/Multimedia/Sound/Midi
Source:	 %{name}-%{version}.tar.gz
URL:	 http://www.fluidsynth.org/
#Packager: rncbc.org

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	cmake
%if %{defined fedora}
BuildRequires:	alsa-lib-devel
BuildRequires:	libdb-devel
%else
BuildRequires:	alsa-devel
BuildRequires:	db-devel
%endif
BuildRequires:	libjack-devel
BuildRequires:	ladspa-devel
BuildRequires:	libsndfile-devel
BuildRequires:	glib2-devel
BuildRequires:	pkgconfig

%description
FluidSynth is a real-time software synthesizer based on the SoundFont 2 
specifications. It is a "software synthesizer". FluidSynth can read MIDI events
from the MIDI input device and render them to the audio device. It features 
real-time effect modulation using SoundFont 2.01 modulators, and a built-in
command line shell. It can also play MIDI files.

Note: FluidSynth was previously called IIWU Synth.


%package -n lib%{_soname}
Summary:	Shared library package for FluidSynth
Group:		System/Libraries
Provides:	%{name}-libs = %{version}-%{release}
Obsoletes:	%{name}-libs < %{version}-%{release}


%description -n lib%{_soname}
FluidSynth is a real-time software synthesizer based on the SoundFont
2 specifications. FluidSynth can read MIDI events from MIDI input
devices and render them to audio devices using SoundFont files to
define the instrument sounds. It can also play MIDI files and supports
real time effect control via SoundFont modulators and MIDI
controls. FluidSynth can be interfaced to other programs in different
ways, including linking as a shared library.

This package contains the run-time shared libraries for FluidSynth.


%package -n lib%{name}-devel
Summary:	Development package for the fluidsynth library
Group:		Development/Libraries/C and C++
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < %{version}
Requires:	lib%{_soname} >= %{version}
Requires:	pkgconfig


%description -n lib%{name}-devel
FluidSynth is a real-time software synthesizer based on the SoundFont
2 specifications. FluidSynth can read MIDI events from MIDI input
devices and render them to audio devices using SoundFont files to
define the instrument sounds. It can also play MIDI files and supports
real time effect control via SoundFont modulators and MIDI
controls. FluidSynth can be interfaced to other programs in different
ways, including linking as a shared library.

This package contains libraries and includes for building applications
with FluidSynth support.


%prep
%setup -q


%build
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} -DLIB_INSTALL_DIR=%{_libdir} .
%__make


%install
%__make DESTDIR="%{buildroot}" install


%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "/" ] && %__rm -rf "%{buildroot}"


%post -n lib%{_soname} -p /sbin/ldconfig

%postun -n lib%{_soname} -p /sbin/ldconfig


%files
%defattr(-,root,root)
#doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO doc/FluidSynth-LADSPA.pdf
%{_bindir}/*
%{_mandir}/man1/*

%files -n lib%{_soname}
%defattr(-,root,root)
%{_libdir}/lib%{name}.so.2*

%files -n lib%{name}-devel
%defattr(-,root,root)
%doc doc/*.c doc/*.txt
#doc doc/api doc/html/*
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}.h
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h

%changelog
* Sun Nov 24 2019 Rui Nuno Capela <rncbc@users.sourceforge.net> 2.0.9
- Update to 2.0.9 release
* Tue Oct 28 2019 Rui Nuno Capela <rncbc@users.sourceforge.net> 2.0.8
- Update to 2.0.8 release
* Sat Sep 28 2019 Rui Nuno Capela <rncbc@users.sourceforge.net> 2.0.7
- Update to 2.0.7 release
* Mon Aug 19 2019 Rui Nuno Capela <rncbc@users.sourceforge.net> 2.0.6
- Update to 2.0.6 release
* Fri Apr 19 2019 Rui Nuno Capela <rncbc@users.sourceforge.net> 2.0.5
- Update to 2.0.5 release
* Sat Feb 23 2019 Rui Nuno Capela <rncbc@users.sourceforge.net> 2.0.4
- Update to 2.0.4 release
* Thu Jan  3 2019 Rui Nuno Capela <rncbc@users.sourceforge.net> 2.0.3
- Update to 2.0.3 release
* Sun Nov 18 2018 Rui Nuno Capela <rncbc@users.sourceforge.net> 2.0.2
- Update to 2.0.2 release
* Sun Oct  7 2018 Rui Nuno Capela <rncbc@users.sourceforge.net> 2.0.1
- Update to 2.0.1 release
* Sat Sep 15 2018 Rui Nuno Capela <rncbc@users.sourceforge.net> 2.0.0
- Update to 2.0.0 release
* Sun May  6 2018 Rui Nuno Capela <rncbc@users.sourceforge.net> 1.1.11
- Update to 1.1.11 release
* Sun Feb 25 2018 Rui Nuno Capela <rncbc@users.sourceforge.net> 1.1.10
- Update to 1.1.10 release
* Thu Jan  4 2018 Rui Nuno Capela <rncbc@users.sourceforge.net> 1.1.9
- Update to 1.1.9 release
* Sat Oct 14 2017 Rui Nuno Capela <rncbc@users.sourceforge.net> 1.1.8
- Update to 1.1.8 release
* Tue Sep  5 2017 Rui Nuno Capela <rncbc@users.sourceforge.net> 1.1.7
- Update to 1.1.7 release
* Sun Aug 19 2012 Rui Nuno Capela <rncbc@users.sourceforge.net> 1.1.6
- Update to 1.1.6 release
* Mon Aug 25 2003 Josh Green <jgreen@users.sourceforge.net>
- Created initial fluidsynth.spec.in
